2018-10-15 14:55 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003964VengeanceOfExcalibur[All Projects] Generalpublic2018-09-28 21:44
ReporterIrek 
Assigned ToStingRayProject InfoVengeance of Excalibur (Virgin)
http://www.whdload.de/games/VengeanceOfExcalibur.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0003964: Hello, The game crashes without additional options (NOCACHE+NOMMU) right after
DescriptionGameVersion: german,pal,4 disks
SlaveVersion: 1.0 from 16-Sep-2018

Hello,
The game crashes without additional options (NOCACHE+NOMMU) right after the start with an error.(see below)
It also seems to have a problem with the latest version of WHDLoad .(You already know about this one ;))
************************* 20-Sep-18 19:09:20 ************************18.0.5614***
Slave='VengeanceOfExcalibur.slave' (5192 bytes)
ShadowMem 55B269A0 - 55B9C9A0 ( 483328) AbsolutMem    76000 -    80000 (  40960)
Resload   5BEA6000 - 5BEADE0C (  32268) at 5BEA6000  GL=$5BF70000
Slave     5BF79000 - 5BF7A424 (   5156) at 5BF79000  BaseMemSize=$80000
ExpMem    5BEAF000 - 5BF6F000 ( 786432) at 5BEAF000
attn=7F(40,82) fc=-1 kn=10371 cs=1851 rw=0 zpt=-1 ep=0 ei=0
setcpu=3B3D(SS,BC,SB,DC,IC,SCB,ECB,BNC)
Exception "Access Fault" ($7008) PC = $5BF03914 (ExpMem $54914) Long Read from
$1233E29C
$5bf038da moveq        #-1,d0
$5bf038dc bra.w        $5bf03816
$5bf038e0 link         a5,#$ffdc
$5bf038e4 clr.l        (-$18,a5)                      ;$5befd788
$5bf038e8 move.b       #2,(-$23,a5)                   ;$5befd77d
$5bf038ee move.l       (8,a5),(-$10,a5)               ;$5befd7a8 $5befd790
$5bf038f4 btst         #0,($b,a5)                     ;$5befd7ab
$5bf038fa beq.b        $5bf03900
$5bf038fc addq.l       #1,(-$10,a5)                   ;$5befd790
$5bf03900 cmpi.w       #1,($e,a5)                     ;$5befd7ae
$5bf03906 bne.b        $5bf03914
$5bf03908 move.l       (-$73dc,a4),a0                 ;$1233e29c
$5bf0390c move.l       (8,a0),(-4,a5)                 ;$5bf06f18 $5befd79c
$5bf03912 bra.b        $5bf03924
$5bf03914 move.l       (-$73dc,a4),a0                 ;$1233e29c
$5bf03918 move.l       (a0),-(a7)                     ;$5bf06f10 $5befd77c
$5bf0391a jsr          ($5bf04c24,pc)
$5bf0391e addq.w       #4,a7
$5bf03920 move.l       d0,(-4,a5)                     ;$5befd79c
$5bf03924 move.l       (-4,a5),a0                     ;$5befd79c
$5bf03928 move.w       (8,a0),d0                      ;$5bf06f18
$5bf0392c and.w        #$1800,d0
$5bf03930 bne.b        $5bf03942
$5bf03932 move.l       (-4,a5),a0                     ;$5befd79c
$5bf03936 move.l       ($a,a0),d0                     ;$5bf06f1a
$5bf0393a cmp.l        (-$10,a5),d0                   ;$5befd790
$5bf0393e bcc.w        $5bf03b0e
$5bf03942 tst.w        ($e,a5)                        ;$5befd7ae
$5bf03946 bne.w        $5bf039fa
exception stackframe:
$5BF6EFC4 00095BF0 39147008 5BEFD7F8 05010001 00010001 1233E29C 5BEFD790 000004E0
$5BF6EFE4 5BEEF5F8 16FBBE1A 5BEFD24C 5BEF16E2 5BEEF240 00105BEE 31280020
regular stack:
$5BEFD77C E7020000 00000000 00000000 00000000 00000000 000004E0 00000000 00000000
$5BEFD79C 00000000 5BEFD7B8 5BF04208 000004E0 00000000 2D245BEC 93085BEF 5BEFD864
$5BEFD7BC 5BF06F20 000004E0 00010001 000004E0 5BF06F10 00000002 0000003E 16FBD975
$5BEFD7DC 5BEF41D4 5BF06F10 5BF0B208 5BEF4178 5BF006D4 5BF169B6 5BEFD864 00000000
$5BEFD7FC 5BF0CFB2 000004DC 00010001 FFFFFFFE 00000000 5BF0B208 00000000 5BF0CC5C
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx      4E0     10001       4E0  5BF06F10         2        3E  16FBD975  5BEF41D4
Ax 5BF06F10  5BF0B208  5BEF4178  5BF006D4  12345678  5BEFD7A0         0
                 TTSM III   XNZVC
PC=5BF03914  SR %0000000000001001  USP=5BEFD77C  ISP=5BF6EFC4  MSP=7F800
VBR=5BF71000  SFC=5  DFC=5  CACR=80008000  
TC=8000  URP=5BFFE000  SRP=5BFFE000  MMUSR=0
DTT0=0  DTT1=0  ITT0=0  ITT1=0
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0110000001101100 dmacon=%0010001111110000 adkcon=$1100
intreq=%0000000000000000
vposr....A300  vhposr...0293  joy0dat..0201  joy1dat..0000  clxdat...8023  
pot0dat..AF39  pot1dat..4637  potinp...5500  serdatr..3BFF  dskbytr..A000  
deniseid.00F8  hhposr...FFDD  
   ciaa:     PI ROPS		   ciab:     PI ROPS
    cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
        AII ROPS			    AII ROPS
    crb=00001000  tb=C87A<FFFF	   crb=10000000  tb=FFFF<FFFF
        10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    pra=11111100  prb=11111111      pra=11111111  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=00004B  icr=00  sdr=00    event=00013A  icr=04  sdr=00
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed25
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0006384

StingRay (developer)

Thanks Irek, there is SMC in the code to patch the Alloc/Free functions which apparently cause this problem. Can you try the attached slave please (for the English version) and tell me if the problem still occurs on your machine?

note ~0006388

Irek (reporter)

Just i have tested it and the English version works well with CUSTOM1=0,
but if I choose it with intro, the game crashes with a different fault:

PC=$5BF03914 (ExpMem $54914) Long Read from $1234E29C

I have also tried it with additional options and it seems to work.(but that also helped in V1.0;))


PS:I found some old icons on my hd for the game, if you like it you are welcome to use it someday. :)

note ~0006389

StingRay (developer)

Thanks for testing, the intro will most probably feature the same code for patching the alloc/free functions so should be simple to fix. And thanks for the hint regarding the icons, I actually wanted to ask if you have some for this game which I can use in the next update but forgot. :)

note ~0006406

StingRay (developer)

Patch updated, access fault fixed and ioncs by Irek added. :)

note ~0006413

Irek (reporter)

Thanks for the new update. The game works fine now on my setup.
+Notes

-Issue History
Date Modified Username Field Change
2018-09-22 22:47 administrator New Issue
2018-09-22 22:47 administrator Status new => assigned
2018-09-22 22:47 administrator Assigned To => StingRay
2018-09-23 12:01 StingRay Note Added: 0006384
2018-09-23 12:01 StingRay File Added: VengeanceOfExaclibur.slave
2018-09-23 17:21 Irek File Added: Icons.lha
2018-09-23 17:21 Irek Note Added: 0006388
2018-09-23 19:10 StingRay Note Added: 0006389
2018-09-26 20:03 StingRay Note Added: 0006406
2018-09-26 20:03 StingRay Status assigned => resolved
2018-09-26 20:03 StingRay Resolution open => fixed
2018-09-28 21:44 Irek Note Added: 0006413
+Issue History